LFS Book Readme

This document is meant to instruct the user on how to convert the book's XML 
source to other formats (e.g. HTML, PDF, PS and TXT).  First, if you have not 
already done so, please read the INSTALL file how to install the required 
software.  If you have already completed the steps outlined in the INSTALL 
file, then continue reading for examples how to convert these files into 
various other formats.

XML to HTML:
------------
Create a directory in which you want to store the HTML files and cd into 
that directory. Now run:

	mkdir -p chapter0{1,2,3,4,5,6,7,8,9} preface appendix{a,b} &&
	/usr/bin/openjade -t xml \
		-d /usr/share/dsssl/docbook/html/lfs.dsl \
		/usr/share/dsssl/docbook/dtds/decls/xml.dcl \
		/path/to/index.xml



XML to NOCHUNKS-HTML:
--------------------
The NOCHUNKS HTML version is one big HTML file:
	/usr/bin/openjade -t sgml \
		-V nochunks \
		-d /usr/share/dsssl/docbook/html/lfs.dsl \
		/usr/share/dsssl/docbook/dtds/decls/xml.dcl \
		/path/to/index.xml > nochunks.html

XML to TXT:
-----------
First create the NOCHUNKS HTML file, then convert by running:
	/usr/bin/lynx -dump nochunks.html > output.txt

XML to PS and PDF:
------------------
First create the NOCHUNKS HTML file, then convert by starting
htmldoc. You can use the GUI and select the options. If you're
satisfied with the default options you can run this command:

	/usr/bin/htmldoc --book --firstpage p1 -v -t <type> \
		-f <output> nochunks.html

replace <type> by pdf13 to create a pdf file or replace <type> by ps3 to
create a ps file. There are other pdf and ps levels, see the man page for
possible other options. Replace <output> with the filename of the ps or
pdf file that is to be generated.

